Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.enhanced
Interface AccessCallback

    public interface AccessCallback

Contract for providing callback access to a `DatabaseStructure`, typically from the `Optimizer`.

Method Summary
`IntegralDataTypeHolder` | `getNextValue()` Retrieve the next value from the underlying source.

Method Detail

### getNextValue

    IntegralDataTypeHolder getNextValue()

  Retrieve the next value from the underlying source.

  Returns:
    The next value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.